For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETIAM - List Organization Members
      • GETIAM - Lookup Organization Member
      • POSTIAM - Update Organization Member
      • POSTIAM - Test Organization Permissions
      • GETList Organizations
      • POSTOrg Create
      • GETOrg Get
      • POSTOrg Update
      • POSTOrg Join
      • GETOrg Invites List
      • POSTOrg Invites Create
      • DELOrg Invites Delete
      • GETOrg Domains List
      • POSTOrg Domains Post
      • DELOrg Domain Delete
      • POSTUpdate Organization Avatar
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceOrganizations

Org Invites Create

POST
/org/:org_id/invite
POST
/api/v1/org/:org_id/invite
$curl -X POST https://app.rightbrain.ai/api/v1/org/org_id/invite \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "email_address": "[email protected]",
> "project_roles": {
> "01234567-89ab-cdef-0123-456789abcdef": [
> "task_creator"
> ],
> "fedcba98-7654-3210-fedc-ba9876543210": [
> "task_viewer"
> ]
> }
>}'
1{
2 "email_address": "[email protected]",
3 "id": "string",
4 "project_roles": {
5 "01234567-89ab-cdef-0123-456789abcdef": [
6 "task_creator"
7 ],
8 "fedcba98-7654-3210-fedc-ba9876543210": [
9 "task_viewer"
10 ]
11 }
12}
Was this page helpful?
Previous

Org Invites Delete

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID

Request

This endpoint expects an object.
email_addressstringRequiredformat: "email"
roleslist of strings or nullOptional
project_rolesmap from strings to lists of strings or nullOptional

Response

Successful Response
email_addressstringformat: "email"
idstringformat: "uuid"
roleslist of strings or null
project_rolesmap from strings to lists of strings or null

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error